ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.58 by root, Sun Jan 1 06:18:20 2006 UTC vs.
Revision 1.70 by root, Mon Jan 16 14:35:23 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA AWK LINKER CXXCPP EGREP INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TBL TIC X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='MCOMMON' 313ac_subst_files='MCOMMON'
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
881 --enable-fading enable colors fading when off focus 881 --enable-fading enable colors fading when off focus
882 --enable-menubar enable menubar 882 --enable-menubar enable menubar
883 --enable-rxvt-scroll enable rxvt style scrollbar 883 --enable-rxvt-scroll enable rxvt style scrollbar
884 --enable-next-scroll enable NeXT style scrollbar 884 --enable-next-scroll enable NeXT style scrollbar
885 --enable-xterm-scroll enable Xterm style scrollbar 885 --enable-xterm-scroll enable Xterm style scrollbar
886 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 887 --enable-plain-scroll enable plain style scrollbar
887 --enable-half-shadow use half width/height shadow on rxvt scrollbar 888 --enable-half-shadow use half width/height shadow on rxvt scrollbar
888 --enable-xim XIM (X Input Method) protocol support 889 --enable-xim XIM (X Input Method) protocol support
889 --enable-ttygid enable tty setting to group named "tty" 890 --enable-ttygid enable tty setting to group named "tty"
890 --disable-backspace-key disable handling of the backspace key 891 --disable-backspace-key disable handling of the backspace key
891 --disable-delete-key disable handling of the delete key 892 --disable-delete-key disable handling of the delete key
892 --disable-resources disable all resource checking 893 --disable-resources disable all resource checking
893 --enable-xgetdefault enable resources via X instead of our small version
894 --enable-8bitctrls enable 8 bit control sequences (not recommended) 894 --enable-8bitctrls enable 8 bit control sequences (not recommended)
895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 895 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
896 --enable-strings enable some replacement system functions
897 --disable-swapscreen disable swap screen support 896 --disable-swapscreen disable swap screen support
898 --enable-iso14755 enable support for extended ISO 14755 modes 897 --enable-iso14755 enable support for extended ISO 14755 modes
899 --enable-frills enable support for rarely used features 898 --enable-frills enable support for rarely used features
900 --enable-24bit enable support for using 24bit visuals if available 899 --enable-24bit enable support for using 24bit visuals if available
901 --enable-keepscrolling enable continual scrolling on scrollbar arrow press 900 --enable-keepscrolling enable continual scrolling on scrollbar arrow press
4097fi 4096fi
4098 4097
4099fi 4098fi
4100 4099
4101 4100
4101echo "$as_me:$LINENO: checking for sched_yield" >&5
4102echo $ECHO_N "checking for sched_yield... $ECHO_C" >&6
4103if test "${ac_cv_func_sched_yield+set}" = set; then
4104 echo $ECHO_N "(cached) $ECHO_C" >&6
4105else
4106 cat >conftest.$ac_ext <<_ACEOF
4107/* confdefs.h. */
4108_ACEOF
4109cat confdefs.h >>conftest.$ac_ext
4110cat >>conftest.$ac_ext <<_ACEOF
4111/* end confdefs.h. */
4112/* Define sched_yield to an innocuous variant, in case <limits.h> declares sched_yield.
4113 For example, HP-UX 11i <limits.h> declares gettimeofday. */
4114#define sched_yield innocuous_sched_yield
4115
4116/* System header to define __stub macros and hopefully few prototypes,
4117 which can conflict with char sched_yield (); below.
4118 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
4119 <limits.h> exists even on freestanding compilers. */
4120
4121#ifdef __STDC__
4122# include <limits.h>
4123#else
4124# include <assert.h>
4125#endif
4126
4127#undef sched_yield
4128
4129/* Override any gcc2 internal prototype to avoid an error. */
4130#ifdef __cplusplus
4131extern "C"
4132{
4133#endif
4134/* We use char because int might match the return type of a gcc2
4135 builtin and then its argument prototype would still apply. */
4136char sched_yield ();
4137/* The GNU C library defines this for functions which it implements
4138 to always fail with ENOSYS. Some functions are actually named
4139 something starting with __ and the normal name is an alias. */
4140#if defined (__stub_sched_yield) || defined (__stub___sched_yield)
4141choke me
4142#else
4143char (*f) () = sched_yield;
4144#endif
4145#ifdef __cplusplus
4146}
4147#endif
4148
4149int
4150main ()
4151{
4152return f != sched_yield;
4153 ;
4154 return 0;
4155}
4156_ACEOF
4157rm -f conftest.$ac_objext conftest$ac_exeext
4158if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4159 (eval $ac_link) 2>conftest.er1
4160 ac_status=$?
4161 grep -v '^ *+' conftest.er1 >conftest.err
4162 rm -f conftest.er1
4163 cat conftest.err >&5
4164 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4165 (exit $ac_status); } &&
4166 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4167 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4168 (eval $ac_try) 2>&5
4169 ac_status=$?
4170 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4171 (exit $ac_status); }; } &&
4172 { ac_try='test -s conftest$ac_exeext'
4173 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4174 (eval $ac_try) 2>&5
4175 ac_status=$?
4176 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4177 (exit $ac_status); }; }; then
4178 ac_cv_func_sched_yield=yes
4179else
4180 echo "$as_me: failed program was:" >&5
4181sed 's/^/| /' conftest.$ac_ext >&5
4182
4183ac_cv_func_sched_yield=no
4184fi
4185rm -f conftest.err conftest.$ac_objext \
4186 conftest$ac_exeext conftest.$ac_ext
4187fi
4188echo "$as_me:$LINENO: result: $ac_cv_func_sched_yield" >&5
4189echo "${ECHO_T}$ac_cv_func_sched_yield" >&6
4190if test $ac_cv_func_sched_yield = yes; then
4191 :
4192else
4193 echo "$as_me:$LINENO: checking for sched_yield in -lrt" >&5
4194echo $ECHO_N "checking for sched_yield in -lrt... $ECHO_C" >&6
4195if test "${ac_cv_lib_rt_sched_yield+set}" = set; then
4196 echo $ECHO_N "(cached) $ECHO_C" >&6
4197else
4198 ac_check_lib_save_LIBS=$LIBS
4199LIBS="-lrt $LIBS"
4200cat >conftest.$ac_ext <<_ACEOF
4201/* confdefs.h. */
4202_ACEOF
4203cat confdefs.h >>conftest.$ac_ext
4204cat >>conftest.$ac_ext <<_ACEOF
4205/* end confdefs.h. */
4206
4207/* Override any gcc2 internal prototype to avoid an error. */
4208#ifdef __cplusplus
4209extern "C"
4210#endif
4211/* We use char because int might match the return type of a gcc2
4212 builtin and then its argument prototype would still apply. */
4213char sched_yield ();
4214int
4215main ()
4216{
4217sched_yield ();
4218 ;
4219 return 0;
4220}
4221_ACEOF
4222rm -f conftest.$ac_objext conftest$ac_exeext
4223if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
4224 (eval $ac_link) 2>conftest.er1
4225 ac_status=$?
4226 grep -v '^ *+' conftest.er1 >conftest.err
4227 rm -f conftest.er1
4228 cat conftest.err >&5
4229 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4230 (exit $ac_status); } &&
4231 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
4232 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4233 (eval $ac_try) 2>&5
4234 ac_status=$?
4235 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4236 (exit $ac_status); }; } &&
4237 { ac_try='test -s conftest$ac_exeext'
4238 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4239 (eval $ac_try) 2>&5
4240 ac_status=$?
4241 echo "$as_me:$LINENO: \$? = $ac_status" >&5
4242 (exit $ac_status); }; }; then
4243 ac_cv_lib_rt_sched_yield=yes
4244else
4245 echo "$as_me: failed program was:" >&5
4246sed 's/^/| /' conftest.$ac_ext >&5
4247
4248ac_cv_lib_rt_sched_yield=no
4249fi
4250rm -f conftest.err conftest.$ac_objext \
4251 conftest$ac_exeext conftest.$ac_ext
4252LIBS=$ac_check_lib_save_LIBS
4253fi
4254echo "$as_me:$LINENO: result: $ac_cv_lib_rt_sched_yield" >&5
4255echo "${ECHO_T}$ac_cv_lib_rt_sched_yield" >&6
4256if test $ac_cv_lib_rt_sched_yield = yes; then
4257 LIBS="$LIBS -lrt"
4258fi
4259
4260fi
4261
4262
4102echo "$as_me:$LINENO: checking for sched_yield support" >&5 4263echo "$as_me:$LINENO: checking for sched_yield support" >&5
4103echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6 4264echo $ECHO_N "checking for sched_yield support... $ECHO_C" >&6
4104cat >conftest.$ac_ext <<_ACEOF 4265cat >conftest.$ac_ext <<_ACEOF
4105/* confdefs.h. */ 4266/* confdefs.h. */
4106_ACEOF 4267_ACEOF
4155 conftest$ac_exeext conftest.$ac_ext 4316 conftest$ac_exeext conftest.$ac_ext
4156 4317
4157 4318
4158MALLOC_TYPE=S 4319MALLOC_TYPE=S
4159 4320
4160support_addstrings=no
4161support_frills=yes 4321support_frills=yes
4162support_inheritpixmap=no 4322support_inheritpixmap=yes
4163support_tinting=yes 4323support_tinting=yes
4164support_fading=yes 4324support_fading=yes
4165support_keepscrolling=yes 4325support_keepscrolling=yes
4166support_selectionscrolling=yes 4326support_selectionscrolling=yes
4167support_menubar=no 4327support_menubar=no
4175support_scroll_rxvt=yes 4335support_scroll_rxvt=yes
4176support_scroll_next=yes 4336support_scroll_next=yes
4177support_scroll_xterm=yes 4337support_scroll_xterm=yes
4178support_scroll_plain=yes 4338support_scroll_plain=yes
4179support_xim=yes 4339support_xim=yes
4180support_xpm=no 4340support_xpm=yes
4181support_xft=yes 4341support_xft=yes
4182support_unicode3=no 4342support_unicode3=no
4183support_combining=yes 4343support_combining=yes
4184support_8bitctrls=no 4344support_8bitctrls=no
4185support_iso14755=yes 4345support_iso14755=yes
4186support_styles=yes 4346support_styles=yes
4347support_perl=yes
4187codesets=all 4348codesets=all
4188 4349
4189 4350
4190if test "x$enable_shared" = xyes; then 4351if test "x$enable_shared" = xyes; then
4191 4352
4227 support_unicode3=no 4388 support_unicode3=no
4228 support_combining=no 4389 support_combining=no
4229 support_8bitctrls=no 4390 support_8bitctrls=no
4230 support_iso14755=no 4391 support_iso14755=no
4231 support_styles=no 4392 support_styles=no
4393 support_perl=no
4232 codesets= 4394 codesets=
4233 fi 4395 fi
4234 if test x$enableval = xyes; then 4396 if test x$enableval = xyes; then
4235 support_24bit=yes 4397 support_24bit=yes
4236 support_frills=yes 4398 support_frills=yes
4257 support_unicode3=yes 4419 support_unicode3=yes
4258 support_combining=yes 4420 support_combining=yes
4259 #support_8bitctrls=yes 4421 #support_8bitctrls=yes
4260 support_iso14755=yes 4422 support_iso14755=yes
4261 support_styles=yes 4423 support_styles=yes
4424 support_perl=yes
4262 codesets=all 4425 codesets=all
4263 fi 4426 fi
4264 4427
4265fi; 4428fi;
4266 4429
4382 if test x$enableval = xyes -o x$enableval = xno; then 4545 if test x$enableval = xyes -o x$enableval = xno; then
4383 support_scroll_xterm=$enableval 4546 support_scroll_xterm=$enableval
4384 fi 4547 fi
4385fi; 4548fi;
4386 4549
4550# Check whether --enable-perl or --disable-perl was given.
4551if test "${enable_perl+set}" = set; then
4552 enableval="$enable_perl"
4553 if test x$enableval = xyes -o x$enableval = xno; then
4554 support_perl=$enableval
4555 fi
4556fi;
4557
4387# Check whether --enable-plain-scroll or --disable-plain-scroll was given. 4558# Check whether --enable-plain-scroll or --disable-plain-scroll was given.
4388if test "${enable_plain_scroll+set}" = set; then 4559if test "${enable_plain_scroll+set}" = set; then
4389 enableval="$enable_plain_scroll" 4560 enableval="$enable_plain_scroll"
4390 if test x$enableval = xyes -o x$enableval = xno; then 4561 if test x$enableval = xyes -o x$enableval = xno; then
4391 support_scroll_plain=$enableval 4562 support_scroll_plain=$enableval
4465_ACEOF 4636_ACEOF
4466 4637
4467 fi 4638 fi
4468fi; 4639fi;
4469 4640
4470# Check whether --enable-xgetdefault or --disable-xgetdefault was given.
4471if test "${enable_xgetdefault+set}" = set; then
4472 enableval="$enable_xgetdefault"
4473 if test x$enableval = xyes; then
4474
4475cat >>confdefs.h <<\_ACEOF
4476#define USE_XGETDEFAULT 1
4477_ACEOF
4478
4479 fi
4480fi;
4481
4482# Check whether --enable-8bitctrls or --disable-8bitctrls was given. 4641# Check whether --enable-8bitctrls or --disable-8bitctrls was given.
4483if test "${enable_8bitctrls+set}" = set; then 4642if test "${enable_8bitctrls+set}" = set; then
4484 enableval="$enable_8bitctrls" 4643 enableval="$enable_8bitctrls"
4485 if test x$enableval = xyes -o x$enableval = xno; then 4644 if test x$enableval = xyes -o x$enableval = xno; then
4486 support_8bitctrls=$enableval 4645 support_8bitctrls=$enableval
4545_ACEOF 4704_ACEOF
4546 4705
4547 4706
4548RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"` 4707RXVTNAME=`echo "$RXVTNAME"|sed "$program_transform_name"`
4549 4708
4550
4551# Check whether --enable-strings or --disable-strings was given.
4552if test "${enable_strings+set}" = set; then
4553 enableval="$enable_strings"
4554 if test x$enableval = xyes -o x$enableval = xno; then
4555 support_addstrings=$enableval
4556 fi
4557fi;
4558 4709
4559# Check whether --enable-swapscreen or --disable-swapscreen was given. 4710# Check whether --enable-swapscreen or --disable-swapscreen was given.
4560if test "${enable_swapscreen+set}" = set; then 4711if test "${enable_swapscreen+set}" = set; then
4561 enableval="$enable_swapscreen" 4712 enableval="$enable_swapscreen"
4562 if test x$enableval = xno; then 4713 if test x$enableval = xno; then
7134 7285
7135 7286
7136 7287
7137 7288
7138 7289
7290
7291
7139for ac_header in \ 7292for ac_header in \
7140 assert.h \ 7293 assert.h \
7141 fcntl.h \ 7294 fcntl.h \
7142 grp.h \ 7295 grp.h \
7143 libc.h \ 7296 libc.h \
7156 sys/time.h \ 7309 sys/time.h \
7157 utmp.h \ 7310 utmp.h \
7158 utmpx.h \ 7311 utmpx.h \
7159 stdint.h \ 7312 stdint.h \
7160 pty.h \ 7313 pty.h \
7314 util.h \
7315 libutil.h \
7161 wchar.h \ 7316 wchar.h \
7162 cwchar \ 7317 cwchar \
7163 clocale \ 7318 clocale \
7164 7319
7165do 7320do
10029 seteuid \ 10184 seteuid \
10030 setreuid \ 10185 setreuid \
10031 setsid \ 10186 setsid \
10032 setpgrp \ 10187 setpgrp \
10033 setpgid \ 10188 setpgid \
10034 openpty \
10035 _getpty \ 10189 _getpty \
10190 posix_openpt \
10036 grantpt \ 10191 grantpt \
10037 unlockpt \ 10192 unlockpt \
10038 isastream \ 10193 isastream \
10039 on_exit \ 10194 on_exit \
10040 nanosleep \ 10195 nanosleep \
11821#define XIMCB_PROTO_BROKEN 1 11976#define XIMCB_PROTO_BROKEN 1
11822_ACEOF 11977_ACEOF
11823 11978
11824fi 11979fi
11825 11980
11981if test x$ac_cv_func_posix_openpt = xno; then
11826echo "$as_me:$LINENO: checking for getpt" >&5 11982 echo "$as_me:$LINENO: checking for openpty" >&5
11827echo $ECHO_N "checking for getpt... $ECHO_C" >&6 11983echo $ECHO_N "checking for openpty... $ECHO_C" >&6
11828if test "${rxvt_cv_func_getpt+set}" = set; then 11984if test "${ac_cv_func_openpty+set}" = set; then
11829 echo $ECHO_N "(cached) $ECHO_C" >&6 11985 echo $ECHO_N "(cached) $ECHO_C" >&6
11830else 11986else
11831 cat >conftest.$ac_ext <<_ACEOF 11987 cat >conftest.$ac_ext <<_ACEOF
11832/* confdefs.h. */ 11988/* confdefs.h. */
11833_ACEOF 11989_ACEOF
11834cat confdefs.h >>conftest.$ac_ext 11990cat confdefs.h >>conftest.$ac_ext
11835cat >>conftest.$ac_ext <<_ACEOF 11991cat >>conftest.$ac_ext <<_ACEOF
11836/* end confdefs.h. */ 11992/* end confdefs.h. */
11837#define _GNU_SOURCE 11993/* Define openpty to an innocuous variant, in case <limits.h> declares openpty.
11838#ifdef HAVE_STDLIB_H 11994 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11839# include <cstdlib> 11995#define openpty innocuous_openpty
11996
11997/* System header to define __stub macros and hopefully few prototypes,
11998 which can conflict with char openpty (); below.
11999 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12000 <limits.h> exists even on freestanding compilers. */
12001
12002#ifdef __STDC__
12003# include <limits.h>
12004#else
12005# include <assert.h>
11840#endif 12006#endif
12007
12008#undef openpty
12009
12010/* Override any gcc2 internal prototype to avoid an error. */
12011#ifdef __cplusplus
12012extern "C"
12013{
12014#endif
12015/* We use char because int might match the return type of a gcc2
12016 builtin and then its argument prototype would still apply. */
12017char openpty ();
12018/* The GNU C library defines this for functions which it implements
12019 to always fail with ENOSYS. Some functions are actually named
12020 something starting with __ and the normal name is an alias. */
12021#if defined (__stub_openpty) || defined (__stub___openpty)
12022choke me
12023#else
12024char (*f) () = openpty;
12025#endif
12026#ifdef __cplusplus
12027}
12028#endif
12029
11841int 12030int
11842main () 12031main ()
11843{ 12032{
11844(void)getpt(); 12033return f != openpty;
11845 ; 12034 ;
11846 return 0; 12035 return 0;
11847} 12036}
11848_ACEOF 12037_ACEOF
11849rm -f conftest.$ac_objext conftest$ac_exeext 12038rm -f conftest.$ac_objext conftest$ac_exeext
11865 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12054 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11866 (eval $ac_try) 2>&5 12055 (eval $ac_try) 2>&5
11867 ac_status=$? 12056 ac_status=$?
11868 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12057 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11869 (exit $ac_status); }; }; then 12058 (exit $ac_status); }; }; then
11870 rxvt_cv_func_getpt=yes 12059 ac_cv_func_openpty=yes
11871else 12060else
11872 echo "$as_me: failed program was:" >&5 12061 echo "$as_me: failed program was:" >&5
11873sed 's/^/| /' conftest.$ac_ext >&5 12062sed 's/^/| /' conftest.$ac_ext >&5
11874 12063
11875rxvt_cv_func_getpt=no 12064ac_cv_func_openpty=no
11876fi 12065fi
11877rm -f conftest.err conftest.$ac_objext \ 12066rm -f conftest.err conftest.$ac_objext \
11878 conftest$ac_exeext conftest.$ac_ext 12067 conftest$ac_exeext conftest.$ac_ext
11879fi 12068fi
11880echo "$as_me:$LINENO: result: $rxvt_cv_func_getpt" >&5 12069echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5
11881echo "${ECHO_T}$rxvt_cv_func_getpt" >&6 12070echo "${ECHO_T}$ac_cv_func_openpty" >&6
11882if test x$rxvt_cv_func_getpt = xyes; then 12071if test $ac_cv_func_openpty = yes; then
11883 12072 :
12073else
12074 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
12075echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
12076if test "${ac_cv_lib_util_openpty+set}" = set; then
12077 echo $ECHO_N "(cached) $ECHO_C" >&6
12078else
12079 ac_check_lib_save_LIBS=$LIBS
12080LIBS="-lutil $LIBS"
12081cat >conftest.$ac_ext <<_ACEOF
12082/* confdefs.h. */
12083_ACEOF
12084cat confdefs.h >>conftest.$ac_ext
11884cat >>confdefs.h <<\_ACEOF 12085cat >>conftest.$ac_ext <<_ACEOF
11885#define HAVE_GETPT 1 12086/* end confdefs.h. */
12087
12088/* Override any gcc2 internal prototype to avoid an error. */
12089#ifdef __cplusplus
12090extern "C"
12091#endif
12092/* We use char because int might match the return type of a gcc2
12093 builtin and then its argument prototype would still apply. */
12094char openpty ();
12095int
12096main ()
12097{
12098openpty ();
12099 ;
12100 return 0;
12101}
11886_ACEOF 12102_ACEOF
12103rm -f conftest.$ac_objext conftest$ac_exeext
12104if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12105 (eval $ac_link) 2>conftest.er1
12106 ac_status=$?
12107 grep -v '^ *+' conftest.er1 >conftest.err
12108 rm -f conftest.er1
12109 cat conftest.err >&5
12110 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12111 (exit $ac_status); } &&
12112 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12113 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12114 (eval $ac_try) 2>&5
12115 ac_status=$?
12116 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12117 (exit $ac_status); }; } &&
12118 { ac_try='test -s conftest$ac_exeext'
12119 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12120 (eval $ac_try) 2>&5
12121 ac_status=$?
12122 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12123 (exit $ac_status); }; }; then
12124 ac_cv_lib_util_openpty=yes
12125else
12126 echo "$as_me: failed program was:" >&5
12127sed 's/^/| /' conftest.$ac_ext >&5
12128
12129ac_cv_lib_util_openpty=no
12130fi
12131rm -f conftest.err conftest.$ac_objext \
12132 conftest$ac_exeext conftest.$ac_ext
12133LIBS=$ac_check_lib_save_LIBS
12134fi
12135echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12136echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12137if test $ac_cv_lib_util_openpty = yes; then
12138 LIBS="$LIBS -lutil"
12139fi
12140
12141fi
11887 12142
11888fi 12143fi
11889 12144
11890echo "$as_me:$LINENO: checking for pty/tty type" >&5 12145echo "$as_me:$LINENO: checking for pty/tty type" >&5
11891echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12146echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6
11892if test "${rxvt_cv_ptys+set}" = set; then 12147if test "${rxvt_cv_ptys+set}" = set; then
11893 echo $ECHO_N "(cached) $ECHO_C" >&6 12148 echo $ECHO_N "(cached) $ECHO_C" >&6
11894else 12149else
11895 if test x$ac_cv_func_openpty = xyes; then 12150 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then
11896 rxvt_cv_ptys=OPENPTY 12151 rxvt_cv_ptys=OPENPTY
12152 else if test x$ac_cv_func_posix_openpt = xyes; then
12153 rxvt_cv_ptys=POSIX
11897 else if test x$ac_cv_func__getpty = xyes; then 12154 else if test x$ac_cv_func__getpty = xyes; then
11898 rxvt_cv_ptys=SGI4 12155 rxvt_cv_ptys=SGI4
11899 else if test -c /dev/ttyp20; then 12156 else if test -c /dev/ttyp20; then
11900 rxvt_cv_ptys=SCO 12157 rxvt_cv_ptys=SCO
11901 else if test -c /dev/ptym/clone; then 12158 else if test -c /dev/ptym/clone; then
11902 rxvt_cv_ptys=HPUX 12159 rxvt_cv_ptys=HPUX
11903 else if test x$rxvt_cv_func_getpt = xyes; then
11904 rxvt_cv_ptys=GLIBC
11905 else if test -c /dev/ptc -a -c /dev/pts; then 12160 else if test -c /dev/ptc -a -c /dev/pts; then
11906 rxvt_cv_ptys=PTC 12161 rxvt_cv_ptys=PTC
11907 else if test -c /dev/ptc -a -d /dev/pts; then 12162 else if test -c /dev/ptc -a -d /dev/pts; then
11908 rxvt_cv_ptys=PTC 12163 rxvt_cv_ptys=PTC
11909 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12164 else if test -c /dev/ptmx -a -c /dev/pts/0; then
11924 12179
11925fi 12180fi
11926echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5 12181echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5
11927echo "${ECHO_T}$rxvt_cv_ptys" >&6 12182echo "${ECHO_T}$rxvt_cv_ptys" >&6
11928 12183
12184if test x$rxvt_cv_ptys = xPOSIX; then
12185
12186cat >>confdefs.h <<\_ACEOF
12187#define PTYS_ARE_POSIX 1
12188_ACEOF
12189
12190fi
11929if test x$rxvt_cv_ptys = xOPENPTY; then 12191if test x$rxvt_cv_ptys = xOPENPTY; then
11930 12192
11931cat >>confdefs.h <<\_ACEOF 12193cat >>confdefs.h <<\_ACEOF
11932#define PTYS_ARE_OPENPTY 1 12194#define PTYS_ARE_OPENPTY 1
11933_ACEOF 12195_ACEOF
11959cat >>confdefs.h <<\_ACEOF 12221cat >>confdefs.h <<\_ACEOF
11960#define PTYS_ARE__GETPTY 1 12222#define PTYS_ARE__GETPTY 1
11961_ACEOF 12223_ACEOF
11962 12224
11963fi 12225fi
11964if test x$rxvt_cv_ptys = xCONVEX; then
11965
11966cat >>confdefs.h <<\_ACEOF
11967#define PTYS_ARE_GETPTY 1
11968_ACEOF
11969
11970fi
11971if test x$rxvt_cv_ptys = xGLIBC; then
11972
11973cat >>confdefs.h <<\_ACEOF
11974#define PTYS_ARE_GETPT 1
11975_ACEOF
11976
11977fi
11978if test x$rxvt_cv_ptys = xHPUX; then 12226if test x$rxvt_cv_ptys = xHPUX; then
11979 12227
11980cat >>confdefs.h <<\_ACEOF 12228cat >>confdefs.h <<\_ACEOF
11981#define PTYS_ARE_CLONE 1 12229#define PTYS_ARE_CLONE 1
11982_ACEOF 12230_ACEOF
11983 12231
11984fi 12232fi
11985if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xGLIBC; then 12233if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
11986 12234
11987cat >>confdefs.h <<\_ACEOF 12235cat >>confdefs.h <<\_ACEOF
11988#define PTYS_ARE_SEARCHED 1 12236#define PTYS_ARE_SEARCHED 1
11989_ACEOF 12237_ACEOF
11990 12238
12011 12259
12012fi 12260fi
12013 12261
12014if test x$support_xft = xyes; then 12262if test x$support_xft = xyes; then
12015 LIBS="$LIBS `pkg-config xft --libs`" 12263 LIBS="$LIBS `pkg-config xft --libs`"
12016 CFLAGS="$CFLAGS `pkg-config xft --cflags`"
12017 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12264 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`"
12018 12265
12019 12266
12020for ac_header in X11/Xft/Xft.h 12267for ac_header in X11/Xft/Xft.h
12021do 12268do
12480_ACEOF 12727_ACEOF
12481 ;; 12728 ;;
12482 esac 12729 esac
12483done 12730done
12484 12731
12732IF_PERL=\#
12733if test x$support_perl = xyes; then
12734 # Extract the first word of "perl5", so it can be a program name with args.
12735set dummy perl5; ac_word=$2
12736echo "$as_me:$LINENO: checking for $ac_word" >&5
12737echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12738if test "${ac_cv_path_PERL+set}" = set; then
12739 echo $ECHO_N "(cached) $ECHO_C" >&6
12740else
12741 case $PERL in
12742 [\\/]* | ?:[\\/]*)
12743 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12744 ;;
12745 *)
12746 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12747for as_dir in $PATH
12748do
12749 IFS=$as_save_IFS
12750 test -z "$as_dir" && as_dir=.
12751 for ac_exec_ext in '' $ac_executable_extensions; do
12752 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12753 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12754 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12755 break 2
12756 fi
12757done
12758done
12759
12760 ;;
12761esac
12762fi
12763PERL=$ac_cv_path_PERL
12764
12765if test -n "$PERL"; then
12766 echo "$as_me:$LINENO: result: $PERL" >&5
12767echo "${ECHO_T}$PERL" >&6
12768else
12769 echo "$as_me:$LINENO: result: no" >&5
12770echo "${ECHO_T}no" >&6
12771fi
12772
12773 # Extract the first word of "perl", so it can be a program name with args.
12774set dummy perl; ac_word=$2
12775echo "$as_me:$LINENO: checking for $ac_word" >&5
12776echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12777if test "${ac_cv_path_PERL+set}" = set; then
12778 echo $ECHO_N "(cached) $ECHO_C" >&6
12779else
12780 case $PERL in
12781 [\\/]* | ?:[\\/]*)
12782 ac_cv_path_PERL="$PERL" # Let the user override the test with a path.
12783 ;;
12784 *)
12785 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12786for as_dir in $PATH
12787do
12788 IFS=$as_save_IFS
12789 test -z "$as_dir" && as_dir=.
12790 for ac_exec_ext in '' $ac_executable_extensions; do
12791 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12792 ac_cv_path_PERL="$as_dir/$ac_word$ac_exec_ext"
12793 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12794 break 2
12795 fi
12796done
12797done
12798
12799 ;;
12800esac
12801fi
12802PERL=$ac_cv_path_PERL
12803
12804if test -n "$PERL"; then
12805 echo "$as_me:$LINENO: result: $PERL" >&5
12806echo "${ECHO_T}$PERL" >&6
12807else
12808 echo "$as_me:$LINENO: result: no" >&5
12809echo "${ECHO_T}no" >&6
12810fi
12811
12812
12813 echo "$as_me:$LINENO: checking for $PERL suitability" >&5
12814echo $ECHO_N "checking for $PERL suitability... $ECHO_C" >&6
12815 if $PERL -MExtUtils::Embed -e "use v5.8" >/dev/null 2>/dev/null; then
12816
12817 save_CXXFLAGS="$CXXFLAGS"
12818 save_LIBS="$LIBS"
12819 CXXFLAGS="$CXXFLAGS `$PERL -MExtUtils::Embed -e ccopts`"
12820 LIBS="$LIBS `$PERL -MExtUtils::Embed -e ldopts`"
12821 cat >conftest.$ac_ext <<_ACEOF
12822/* confdefs.h. */
12823_ACEOF
12824cat confdefs.h >>conftest.$ac_ext
12825cat >>conftest.$ac_ext <<_ACEOF
12826/* end confdefs.h. */
12827
12828#include <EXTERN.h>
12829#include <perl.h>
12830#include <XSUB.h>
12831
12832int
12833main ()
12834{
12835
12836 PerlInterpreter *perl = perl_alloc ();
12837
12838 ;
12839 return 0;
12840}
12841_ACEOF
12842rm -f conftest.$ac_objext conftest$ac_exeext
12843if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12844 (eval $ac_link) 2>conftest.er1
12845 ac_status=$?
12846 grep -v '^ *+' conftest.er1 >conftest.err
12847 rm -f conftest.er1
12848 cat conftest.err >&5
12849 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12850 (exit $ac_status); } &&
12851 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12852 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12853 (eval $ac_try) 2>&5
12854 ac_status=$?
12855 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12856 (exit $ac_status); }; } &&
12857 { ac_try='test -s conftest$ac_exeext'
12858 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12859 (eval $ac_try) 2>&5
12860 ac_status=$?
12861 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12862 (exit $ac_status); }; }; then
12863 rxvt_perl_link=yes
12864else
12865 echo "$as_me: failed program was:" >&5
12866sed 's/^/| /' conftest.$ac_ext >&5
12867
12868rxvt_perl_link=no
12869fi
12870rm -f conftest.err conftest.$ac_objext \
12871 conftest$ac_exeext conftest.$ac_ext
12872 CXXFLAGS="$save_CXXFLAGS"
12873 LIBS="$save_LIBS"
12874
12875 if test x$rxvt_perl_link = xyes; then
12876 echo "$as_me:$LINENO: result: ok" >&5
12877echo "${ECHO_T}ok" >&6
12878
12879cat >>confdefs.h <<\_ACEOF
12880#define ENABLE_PERL 1
12881_ACEOF
12882
12883 IF_PERL=
12884 PERL_O=rxvtperl.o
12885 PERLFLAGS="`$PERL -MExtUtils::Embed -e ccopts`"
12886 PERLLIB="`$PERL -MExtUtils::Embed -e ldopts`"
12887 PERLPRIVLIBEXP="`$PERL -MConfig -e 'print $Config{privlibexp}'`"
12888 else
12889 support_perl=no
12890 echo "$as_me:$LINENO: result: no, unable to link" >&5
12891echo "${ECHO_T}no, unable to link" >&6
12892 fi
12893 else
12894 { { echo "$as_me:$LINENO: error: no working perl found" >&5
12895echo "$as_me: error: no working perl found" >&2;}
12896 { (exit or perl not version >= 5.8); exit or perl not version >= 5.8; }; }
12897 support_perl=no
12898 fi
12899fi
12900
12901
12902
12903
12904
12905
12906
12907if test x$support_perl = xyes; then
12908 support_frills=yes
12909fi
12910
12485 12911
12486CFLAGS=${CFLAGS--O} 12912CFLAGS=${CFLAGS--O}
12487LDFLAGS=${LDFLAGS--O} 12913LDFLAGS=${LDFLAGS--O}
12488 12914
12489CPPFLAGS="$CPPFLAGS" 12915CPPFLAGS="$CPPFLAGS"
12503fi 12929fi
12504 12930
12505 12931
12506 12932
12507 12933
12508
12509if test x$support_addstrings = xno; then
12510
12511cat >>confdefs.h <<\_ACEOF
12512#define NO_STRINGS 1
12513_ACEOF
12514
12515fi
12516 12934
12517MCOMMON=./autoconf/Make.common 12935MCOMMON=./autoconf/Make.common
12518 12936
12519 12937
12520test "$program_prefix" != NONE && 12938test "$program_prefix" != NONE &&
13269s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 13687s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13270s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 13688s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13271s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 13689s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13272s,@rxvt_intp_define@,$rxvt_intp_define,;t t 13690s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13273s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 13691s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
13692s,@PERL@,$PERL,;t t
13693s,@PERLLIB@,$PERLLIB,;t t
13694s,@PERLFLAGS@,$PERLFLAGS,;t t
13695s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13696s,@IF_PERL@,$IF_PERL,;t t
13697s,@PERL_O@,$PERL_O,;t t
13274s,@DEBUG@,$DEBUG,;t t 13698s,@DEBUG@,$DEBUG,;t t
13275s,@DINCLUDE@,$DINCLUDE,;t t 13699s,@DINCLUDE@,$DINCLUDE,;t t
13276s,@DLIB@,$DLIB,;t t 13700s,@DLIB@,$DLIB,;t t
13277s,@include_stdint_h@,$include_stdint_h,;t t 13701s,@include_stdint_h@,$include_stdint_h,;t t
13278s,@include_stdarg_h@,$include_stdarg_h,;t t 13702s,@include_stdarg_h@,$include_stdarg_h,;t t
13819 utmp file: $rxvt_cv_path_utmp 14243 utmp file: $rxvt_cv_path_utmp
13820 utmpx file: $rxvt_cv_path_utmpx 14244 utmpx file: $rxvt_cv_path_utmpx
13821 wtmp file: $rxvt_cv_path_wtmp 14245 wtmp file: $rxvt_cv_path_wtmp
13822 wtmpx file: $rxvt_cv_path_wtmpx 14246 wtmpx file: $rxvt_cv_path_wtmpx
13823 lastlog file: $rxvt_cv_path_lastlog 14247 lastlog file: $rxvt_cv_path_lastlog
13824 ttys/ttytab file: $rxvt_cv_path_ttytab" 14248 ttys/ttytab file: $rxvt_cv_path_ttytab
14249 embedded perl: $support_perl"
13825 echo 14250 echo
13826fi 14251fi
13827if test x$term != x; then 14252if test x$term != x; then
13828 echo " set TERM to: $term" 14253 echo " set TERM to: $term"
13829fi 14254fi

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines